## com.ibm.lab.soln.interopedit.editors
Class ActiveXBrowserView

    java.lang.Object
      |
      +--com.ibm.lab.soln.interopedit.editors.ActiveXBrowserView

public class ActiveXBrowserView
extends java.lang.Object

This class hosts the Shdocvw.dll component. Shdocvw.dll in turn hosts the Mshtml.dll component, as well as any other Active Document component (such as Word, Excel) that can be loaded in place in the browser. The user does not use the browser in a way to navigate to a specific document, rather that navigation occurs inside Eclipse when the user opens an *.htm file in their workspace.

Constructor Summary
`ActiveXBrowserView()` Constructor for ActiveXBrowserView.

Method Summary
`ActiveXWebBrowser` | `createBrowserPartControl(org.eclipse.swt.widgets.Composite parent)` Method createBrowserPartControl, used to instantiate the ActiveX control and automation object.
`void` | `dispose()` Cleanup method that shuts down and disposes of the ActiveX control
`ActiveXWebBrowser` | `getWebBrowser()` Returns the webBrowser.
`org.eclipse.swt.ole.win32.OleControlSite` | `getWebControlSite()` Returns the webControlSite.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveXBrowserView

    public ActiveXBrowserView()

  Constructor for ActiveXBrowserView.

Method Detail

### createBrowserPartControl

    public ActiveXWebBrowser createBrowserPartControl(org.eclipse.swt.widgets.Composite parent)

  Method createBrowserPartControl, used to instantiate the ActiveX control and automation object.
  Parameters:
    `parent` -
  Returns:
    ActiveXWebBrowser

### dispose

    public void dispose()

  Cleanup method that shuts down and disposes of the ActiveX control

### getWebBrowser

    public ActiveXWebBrowser getWebBrowser()

  Returns the webBrowser.
  Returns:
    ActiveXWebBrowser

### getWebControlSite

    public org.eclipse.swt.ole.win32.OleControlSite getWebControlSite()

  Returns the webControlSite.
  Returns:
    OleControlSite